use ExtUtils::MakeMaker;

sub MY::postamble {

q{SICSperl.ql : SICSperl.pl
	echo "fcompile('SICSperl')." | sprolog

$(BASEEXT).c : flinkage.c

flinkage.c : makeglue.pl
	echo "[makeglue]." | sprolog
};
}


WriteMakefile('VERSION' => 1.0,
              'INC' => '-I$(SP_PATH)/Runtime',
	      'OBJECT' => '$(BASEEXT).o $(SP_PATH)/Runtime/runtime.o',
	      'PM' => {'SICStus.pm' => '$(INST_LIBDIR)/SICStus.pm',
		       'SICSperl.ql' => '$(INST_LIBDIR)/SICSperl.ql'},
	      'SKIP' => ['dynamic'],
	      'clean' => {'FILES' => ['flinkage.c', 'SICSperl.ql']},
	      'realclean' => {'FILES' => '$(INST_LIBDIR)/SICSperl.ql'});

