:- module(perl,[]).

foreign(pass_term_SPtoPerl,term_to_Perl(+integer,+string,+term)).
foreign_file('SICStus.o', Funcs) :-
	findall(Name, foreign(Name,_), Funcs).
:- load_foreign_files(['SICStus.o'],[]).

evalperlstr(Stream) :-
	on_exception(Excpt,read_term(Stream,T,[variable_names(Vars)]),
	             (close(Stream),raise_exception(Excpt))),
        call(user:T),
	return_result(Vars),
        close(Stream).

return_result([]).
return_result([(Var = Val)|T]) :-
	term_to_Perl(0,Var,Val),
	return_result(T).
