#!../../perl -I../../lib

print "1..21\n";

require SICStus;
print "ok 1\n";

print +(($sp = new SICStus) ? '' : 'not '), "ok 2\n";
# Split &rtinit into components; not normally done
print +(&SICStus::initialize ? '' : 'not '), "ok 3\n";
print +(&SICStus::develinit ? '' : 'not '), "ok 4\n";

print +($sp->eval('assert(friend("bilbo","samwise")).') ? '' : 'not '), "ok 5\n";
print +($sp->assert('friend("bilbo",meriadoc)') ? '' : 'not '), "ok 6\n";;

print +(!$sp->eval('friend("bilbo","peregrine").') ? '' : 'not '), "ok 7\n";
$sp->assert('friend("bilbo","peregrine")');
print +($sp->eval('friend("bilbo","peregrine").') ? '' : 'not '), "ok 8\n";
$sp->retract('friend("bilbo","peregrine")');
print +(!$sp->eval('friend("bilbo","peregrine").') ? '' : 'not '), "ok 9\n";

print +($sp->eval('friend("bilbo",Who).') ? '' : 'not '), "ok 10\n";
($Who eq 'samwise') ? print "ok 11\n" : 
                   print "not ok 11\t:expected 'samwise', got '$Who'\n";

$baggins = 'bilbo';
print +($sp->query('friend',$baggins,$companion) ? '' : 'not '), "ok 12\n";
($companion eq 'samwise') ? print "ok 13\n" : 
                   print "not ok 13\t:expected 'samwise', got '$companion'\n";


print +(defined($companion = new SICStus::Atom "meriadoc") 
	? '' : 'not '), "ok 14\n";
print +($sp->query('friend',$baggins,$companion) ? '' : 'not '), "ok 15\n";
($baggins eq "bilbo") ? print "ok 16\n" :
  print "not ok 16\t:expected 'bilbo', got '$baggins'\n";

undef $companion;
print +(defined($qry = new SICStus::Query 'friend','bilbo',$companion) ? '' :
	'not '), "ok 17\n";

($qry->next_solution() && ($companion eq 'meriadoc',1)) ? print "ok 18\n" :
  print "not ok 18\t:expected 'meriadoc', got '$companion'\n";

($qry->next_solution() && ($companion eq 'samwise',1)) ? print "ok 19\n" :
  print "not ok 19\t:expected 'samwise', got '$companion'\n";

(!$qry->next_solution() && ($companion eq 'samwise',1)) ? print "ok 20\n" :
	print "not ok 20\t:expected 'samwise', got '$companion'\n";
  
print +($qry->close_query() ? '' : 'not '), "ok 21\n";

